<?php
class Esthetic_BannerSystem_Route_Redirect implements XenForo_Route_Interface {

	/**
	 * Match a specific route for an already matched prefix.
	 *
	 * @see XenForo_Route_Interface::match()
	 */
	public function match($routePath, Zend_Controller_Request_Http $request, XenForo_Router $router) {
		$action = $router->resolveActionWithIntegerParam($routePath, $request, 'id');
        return $router->getRouteMatch('Esthetic_BannerSystem_Controller_Redirect', $action, 'direction');
	}

	/**
	 * Method to build a link to the specified page/action with the provided
	 * data and params.
	 *
	 * @see XenForo_Route_BuilderInterface
	 */
	public function buildLink($originalPrefix, $outputPrefix, $action, $extension, $data, array &$extraParams) {
        return XenForo_Link::buildBasicLinkWithIntegerParam($outputPrefix, $action, $extension, $data, 'id');
	}
}